<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use App\Models\Location;

class LocationsController extends Controller
{
    /**
     * Get Locations.
     */
    public function index()
    {
        $data = array();

        $query = Location::query();

        if(isset($_REQUEST['city']) && !empty($_REQUEST['city'])) {
            $query->where('city', $_REQUEST['city']);
        }

        $locations = $query->orderBy('zip', 'asc')->get();

        if ($locations->isNotEmpty()) {
            $data = [
                'status' => true,
                'data' => $locations
            ];
        }
        else {
            $data = [
                'status' => false,
                'message' => 'No location found'
            ];

        }

        return response()->json([
            $data
        ]);
    }

    /**
     * Check Zipcode
     */
    public function checkZipcode() {

        $data = array();

        if(isset($_REQUEST['zip']) && !empty($_REQUEST['zip'])) {
            $query = Location::query();
            $query->where('zip', $_REQUEST['zip']);
            $query->where('status', 'enable');
            $location = $query->orderBy('zip', 'asc')->first();
        }

        if ($location) {
            $data['status'] = true;
            $data['location'] = $location;
        }
        else {
            $data = [
                'status' => false,
                'message' => "Please enter different address, we doesn't deliver to this address..."
            ];
        }

        return response()->json($data);
    }
}
