<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Cities;
use App\Models\State;
use App\Models\Location;
use App\Models\Serviceareas;

class ServiceareasController extends Controller
{
    /**
     * Display Serviceareas.
     */
    public function index()
    {
        $data = $serviceAreasList = [];

        $states = State::where('status','enable')->get();
        if($states) {
            foreach($states as $state) {
                $stateID = $state->id;

                $cities = Cities::where('state',$stateID)
                ->where('status','enable')
                ->get();

                if($cities) {
                    foreach ($cities as $city) {
                        $cityID = $city->id;

                        $locations = Location::where('city',$cityID)
                        ->where('status','enable')
                        ->get();
                        if ($locations->isNotEmpty()) {
                            $areas = array();
                            foreach($locations as $area) {
                                // $areas[] = $area->location.' - '.$area->zip;
                                $locationExplode = explode(',',$area->location);
                                foreach($locationExplode as $locExp) {
                                    $areas[] = trim($locExp).' - '.$area->zip;
                                }
                            }
                            $serviceAreasList[$city->name] = $areas;

                            $data = [
                                'status' => true,
                                'areas' => $serviceAreasList
                            ];
                        }
                        else {
                            $data = [
                                'status' => false,
                                'message' => 'No Serviceareas found'
                            ];
                        }
                    }
                }

            }
        }

        return response()->json($data);
    }
}
