<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('orders', function (Blueprint $table) {
            $table->id();
            $table->string('address');
            $table->string('postcode');
            $table->unsignedBigInteger('waste');
            $table->unsignedBigInteger('bins');
            $table->string('delivery');
            $table->string('collection');
            $table->string('name');
            $table->string('email');
            $table->string('phone');
            $table->string('suburb')->nullable();
            $table->string('instructions')->nullable();
            $table->string('payment');
            $table->boolean('terms');
            $table->string('price');
            $table->foreign('waste')->references('id')->on('wastes')->onDelete('set null');
            $table->foreign('bins')->references('id')->on('containers')->onDelete('set null');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('order');
    }
};
