@extends('layouts.master')

@section('title', 'Container Sizes')

@section('content')
    <section class="content">
        <div class="container-fluid">
            <a href="{{ route('admin.container.add') }}" class="btn btn-success mb-3">
                <i class="fas fa-plus"></i> Add Container
            </a>
            @if(Session::has('error'))
                <div class="alert alert-danger">
                    {{ Session::get('error') }}
                </div>
            @endif
            @if(Session::has('success'))
                <div class="alert alert-success">
                    {{ Session::get('success') }}
                </div>
            @endif
            <table id="itemsList" class="table table-striped table-bordered table-hover display dataTable no-footer dtr-inline">
                <thead>
                    <tr>
                        <th>ID</th>
                        <th>Size</th>
                        <th>Waste Type / Qty</th>
                        <th></th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    @if($containers)
                    @foreach($containers as $container)
                    <tr>
                        <td>{{ $container->id }}</td>
                        <td>{{ $container->name }}</td>
                        <td>
                            @php
                                if($wastes) {
                                    foreach($wastes as $waste) {
                                        if($container->wastes_qty) {
                                            $wastes_qty = $container->wastes_qty;
                                            $wastes_qty_data = unserialize($wastes_qty);

                                            foreach($wastes_qty_data as $key => $value) {
                                                if($key == $waste->id) {
                                                    if($value['total']) {
                                                        echo '<b>'.$waste->name.':</b>   '.$value['avl'].' / '.$value['total'].' </i><br>';
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            @endphp

                        </td>
                        <td><span class="text-bold text-lg {{ $container->status == 'enable' ? 'text-success' : 'text-danger' }}">{{ ucfirst($container->status) }}</span></td>
                        <td>
                            <a href="{{ route('admin.container.edit',$container->id) }}" class="btn btn-success"><i class="fas fa-edit"></i></a>
                            <a href="{{ route('admin.container.delete',$container->id) }}" class="btn btn-danger delete-item"><i class="fas fa-times"></i></a>
                        </td>
                    </tr>
                    @endforeach
                    @endif
                </tbody>
            </table>
        </div>
    </section>
@endsection

@section('pageJS')
<!-- Page Tables specific script -->
<script>
  $(function () {
    if($('#itemsList').length > 0) {
        $('#itemsList').DataTable({
        "paging": true,
        "lengthChange": false,
        "searching": false,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "responsive": true,
        });
    }

    $(".delete-item").on("click",function(e){
        var confirmed = confirm("Are you sure you want to delete Container?");
        if (!confirmed) {
            e.preventDefault();
        }
    })

  });
</script>
@endsection
