@extends('layouts.master')

@section('title', 'Add State')

@section('content')
    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
            <div class="col-md-6">
                @if(Session::has('error'))
                    <div class="alert alert-danger">
                        {{ Session::get('error') }}
                    </div>
                @endif
                @if(Session::has('success'))
                    <div class="alert alert-success">
                        {{ Session::get('success') }}
                    </div>
                @endif
                <div class="card card-primary">
                    <x-input-error :messages="$errors->get('state_name')" class="mt-2 alert-danger" />
                    <form method="post" action="{{ route('admin.state.store') }}">
                        @csrf
                        <div class="card-body">
                            <div class="form-group">
                                <label for="addStateName">State Name</label>
                                <x-text-input id="addStateName" class="form-control block mt-1 w-full" type="text" name="state_name" :value="old('state_name')" required autofocus autocomplete="name" placeholder="Enter name" />
                            </div>

                            <div class="form-group">
                                <label for="addStateCode">State Code</label>
                                <x-text-input id="addStateCode" class="form-control block mt-1 w-full" type="text" name="state_code" :value="old('state_code')" placeholder="Enter Code" />
                            </div>

                            <div class="form-group">
                                <label for="enable-disable" class="d-block">Enable/Disable</label>
                                <input type="checkbox" name="status" checked data-bootstrap-switch data-off-color="danger" data-on-color="success" value="enable">
                            </div>

                        </div>

                        <!-- /.card-body -->

                        <div class="card-footer">
                            <button type="submit" class="btn btn-primary">Add State</button>
                        </div>
                    </form>
                </div>
                <!-- /.card -->
            </div>
        </div>
      </div>
    </section>
    <!-- /.content -->
@endsection

@section('pageJS')
<script>
    $(function () {
        $("input[data-bootstrap-switch]").each(function(){
        $(this).bootstrapSwitch('state', $(this).prop('checked'));
        })
    });
</script>
@endsection
