@extends('layouts.master')

@section('title', 'All States')

@section('content')
    <section class="content">
        <div class="container-fluid">
            <a href="{{ route('admin.state.add') }}" class="btn btn-success mb-3">
                <i class="fas fa-plus"></i> Add State
            </a>
            @if(Session::has('error'))
                <div class="alert alert-danger">
                    {{ Session::get('error') }}
                </div>
            @endif
            @if(Session::has('success'))
                <div class="alert alert-success">
                    {{ Session::get('success') }}
                </div>
            @endif
            <table id="itemsList" class="table table-striped table-bordered table-hover display dataTable no-footer dtr-inline">
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Code</th>
                        <th></th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    @if($states)
                    @foreach($states as $state)
                    <tr>
                        <td>{{ $state->state_name }}</td>
                        <td>{{ $state->state_code }}</td>
                        <td><span class="text-bold text-lg {{ $state->status == 'enable' ? 'text-success' : 'text-danger' }}">{{ ucfirst($state->status) }}</span></td>
                        <td>
                            <a href="{{ route('admin.state.edit',$state->id) }}" class="btn btn-success"><i class="fas fa-edit"></i></a>
                            <a href="{{ route('admin.state.delete',$state->id) }}" class="btn btn-danger delete-item"><i class="fas fa-times"></i></a>
                        </td>
                    </tr>
                    @endforeach
                    @endif
                </tbody>
            </table>
        </div>
    </section>
@endsection

@section('pageJS')
<!-- Page Tables specific script -->
<script>
  $(function () {
    if($('#itemsList').length > 0) {
        $('#itemsList').DataTable({
        "paging": true,
        "lengthChange": false,
        "searching": false,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "responsive": true,
        });
    }

    $(".delete-item").on("click",function(e){
        var confirmed = confirm("Are you sure you want to delete state?");
        if (!confirmed) {
            e.preventDefault();
        }
    })

  });
</script>
@endsection
