@extends('layouts.master')

@section('title', 'Edit State')

@section('content')
    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
            <div class="col-md-6">
                @if(Session::has('success'))
                    <div class="alert alert-success">
                        {{ Session::get('success') }}
                    </div>
                @endif
                <div class="card card-primary">
                    <x-input-error :messages="$errors->get('name')" class="mt-2 alert-danger" />
                    <x-input-error :messages="$errors->get('code')" class="mt-2 alert-danger" />
                    <form method="post" action="{{ route('admin.state.update',$state->id) }}">
                        @csrf
                        <div class="card-body">
                            <div class="form-group">
                                <label for="stateName">State Name</label>
                                <x-text-input id="stateName" class="form-control block mt-1 w-full" type="text" name="state_name" value="{{ $state->state_name }}" autofocus autocomplete="name" placeholder="Enter Name" />
                            </div>

                            <div class="form-group">
                                <label for="stateCode">State Code</label>
                                <x-text-input id="stateCode" class="form-control block mt-1 w-full" type="text" name="state_code" value="{{ $state->state_code }}" placeholder="Enter Code" />
                            </div>

                            <div class="form-group">
                                <label for="enable-disable" class="d-block">Enable/Disable</label>
                                <input type="checkbox" name="status" data-bootstrap-switch data-off-color="danger" data-on-color="success" value="enable" {{ $state->status == 'enable' ? 'checked' : '' }} >
                            </div>

                        </div>
                        <!-- /.card-body -->

                        <div class="card-footer">
                            <button type="submit" class="btn btn-primary">Update State</button>
                        </div>
                    </form>
                </div>
                <!-- /.card -->
            </div>
        </div>
      </div>
    </section>
    <!-- /.content -->
@endsection
@section('pageJS')
<script>
    $(function () {
        $("input[data-bootstrap-switch]").each(function(){
        $(this).bootstrapSwitch('state', $(this).prop('checked'));
        })
    });
</script>
@endsection
