@extends('layouts.master')

@section('title', 'Add User')

@section('content')
    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
            <div class="col-md-6">
                @if(Session::has('success'))
                    <div class="alert alert-success">
                        {{ Session::get('success') }}
                    </div>
                @endif
                <div class="card card-primary">
                    <x-input-error :messages="$errors->get('name')" class="mt-2 alert-danger" />
                    <x-input-error :messages="$errors->get('email')" class="mt-2 alert-danger" />
                    <x-input-error :messages="$errors->get('password')" class="mt-2 alert-danger" />
                    <x-input-error :messages="$errors->get('password_confirmation')" class="mt-2 alert-danger" />
                    <x-input-error :messages="$errors->get('role')" class="mt-2 alert-danger" />
                    <x-input-error :messages="$errors->get('status')" class="mt-2 alert-danger" />
                    <form method="post" action="{{ route('admin.user.store') }}">
                        @csrf
                        <div class="card-body">
                            <div class="form-group">
                                <label for="addUserName">Name</label>
                                <x-text-input id="name" class="form-control block mt-1 w-full" type="text" name="name" :value="old('name')" required autofocus autocomplete="name" placeholder="Enter name" />
                            </div>

                            <div class="form-group">
                                <label for="addUserEmail">Email address</label>
                                <x-text-input id="addUserEmail" class="form-control block mt-1 w-full" type="email" name="email" :value="old('email')" required autofocus autocomplete="email" placeholder="Enter email" />
                            </div>

                            <div class="form-group">
                                <label for="addUserPassword">Password</label>
                                <input type="password" class="form-control" id="addUserPassword" name="password" required  placeholder="Password">
                            </div>
                            <div class="form-group">
                                <label for="password_confirmation">Confirm Password</label>
                                <input type="password" class="form-control" id="password_confirmation" name="password_confirmation" required  placeholder="Confirm Password">
                            </div>

                            <div class="form-group">
                                <label for="addUserRole">Role</label>
                                <select class="custom-select rounded-0" required name="role" id="addUserRole">
                                    <option value="admin">Admin</option>
                                    <option value="user" selected>User</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="addUserStatus">Status</label>
                                <select class="custom-select rounded-0" required name="status" id="addUserStatus">
                                    <option value="active" selected>Active</option>
                                    <option value="inactive">Inactive</option>
                                </select>
                            </div>
                        </div>
                        <!-- /.card-body -->

                        <div class="card-footer">
                            <button type="submit" class="btn btn-primary">Add User</button>
                        </div>
                    </form>
                </div>
                <!-- /.card -->
            </div>
        </div>
      </div>
    </section>
    <!-- /.content -->
@endsection
